Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Interface IFilterClause

public interface IFilterClause

Interface to add Filter Statements and Clauses to an existing `IFilterClause`. Filter Clauses are created from the `ISearchFactory` interface.

Method Summary
`void` | `addClause(IFilterClause clause)` Adds an `IFilterClause` subclause to this clause.
`void` | `addStatement(Field field, Operator op, boolean value)` Adds a `boolean` constraint to this clause.
`void` | `addStatement(Field field, Operator op, java.util.Date value)` Adds a `Date` constraint to this clause.
`void` | `addStatement(Field field, Operator op, float value)` Adds a `float` constraint to this clause.
`void` | `addStatement(Field field, Operator op, int value)` Adds an `int` constraint to this clause.
`void` | `addStatement(Field field, Operator op, java.lang.String value)` Adds a `String` constraint to this clause.

Method Detail

### addStatement

    public void addStatement(Field field,
                             Operator op,
                             java.lang.String value)

  Adds a `String` constraint to this clause. The field must be searchable.

  Parameters:
    `field` - the `Field` to search. The field must return `String` values, for example `PlumtreeField.NAME`. Adding a field of the wrong type may cause an exception on the search server.
    `op` - the constraint operator, for example `Operator.Equals` or `Operator.Contains`
    `value` - the `String` value to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if the field is not searchable

### addStatement

    public void addStatement(Field field,
                             Operator op,
                             int value)

  Adds an `int` constraint to this clause. The field must be searchable.

  Parameters:
    `field` - the `Field` to search. The field must return `int` values, for example `PortalField.OBJECT_ID`. Adding a field of the wrong type may cause an exception on the search server.
    `op` - the constraint operator, for example `Operator.Equals` or `Operator.GreaterThan`
    `value` - the `int` value to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if the field is not searchable

### addStatement

    public void addStatement(Field field,
                             Operator op,
                             float value)

  Adds a `float` constraint to this clause. The field must be searchable.

  Parameters:
    `field` - the `Field` to search. The field must return `float` values. Note that properties stored in the portal as doubles are returned as floats by the search server. Adding a field of the wrong type may cause an exception on the search server.
    `op` - the constraint operator, for example `Operator.Equals` or `Operator.GreaterThan`
    `value` - the `float` value to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if the field is not searchable

### addStatement

    public void addStatement(Field field,
                             Operator op,
                             java.util.Date value)

  Adds a `Date` constraint to this clause. The field must be searchable.

  Parameters:
    `field` - the `Field` to search. The field must return `Date` values, for example `PlumtreeField.LAST_MODIFIED`. Adding a field of the wrong type may cause an exception on the search server.
    `op` - the constraint operator, for example `Operator.Equals` or `Operator.GreaterThan`
    `value` - the `Date` value to evaluate. Note that `Date`s in the search server are only accurate to within four minutes, so `Operator.Equals` is discouraged. Using `GreaterThan/LessThan` or a date range is the recommended usage. `Date`s in the search server should remain sequential as they are indexed, although roundoff may result in two dates that were sequential on input being the same in the search server.
  Throws:
    `java.lang.IllegalArgumentException` - if the field is not searchable

### addStatement

    public void addStatement(Field field,
                             Operator op,
                             boolean value)

  Adds a `boolean` constraint to this clause. The field must be searchable.

  Parameters:
    `field` - the `Field` to search. The field must return `boolean` values. Adding a field of the wrong type may cause an exception on the search server.
    `op` - the constraint operator, for example `Operator.Equals` or `Operator.GreaterThan`
    `value` - the `boolean` value to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if the field is not searchable

### addClause

    public void addClause(IFilterClause clause)

  Adds an `IFilterClause` subclause to this clause. The added clause will be AND'd or OR'd with the existing clause depending on whether the parent clause is an AND `IFilterClause` or an OR `IFilterClause`. `IFilterClause`s are created from `ISearchFactory`.

  Parameters:
    `clause` - the subclause to add. Multiple subclauses can be added.
  See Also:
    `ISearchFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.